import Vue from 'vue';
import Router from 'vue-router';
import home from '../components/home';
import login from '../components/login';
import tab1 from '../page/tab1'
 
Vue.use(Router);
 
const router = new Router({
  routes: [
    {
      path: '/home',
      name: 'home',
      component: home,
      children:[
        {
          path:'/tab1',
          name:'tab1',
          component:tab1

        }
      ],
    },
    {
      path: '/',
      redirect: '/home'
    },
    {
      path: '/login',
      name: 'login',
      component: login
    },

  ]
});
 
// 导航守卫
// 使用 router.beforeEach 注册一个全局前置守卫，判断用户是否登陆
router.beforeEach((to, from, next) => {
  if (to.path === '/login') {
    next();
  } else {
    let token = localStorage.getItem('Authorization');
 
    if (token === null || token === '') {
      next('/login');
    } else {

      next();
    }
  }
});

 
export default router;